mdk (1.2.9+dfsg-3) unstable; urgency=medium

  * Build-depend on debhelper 10 now that it's even in jessie-backports.
  * Switch back to pgpsigurlmangle in the watch file, since pgpmode=auto
    may silently ignore a missing upstream signature.
  * Use the v4 substitution variables in the watch file.
  * Use almost the same typographical/grammar errors patch as in
    the mdk-doc package, even though the differences were mainly in
    the documentation that is not built or installed in this one.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 24 Nov 2016 11:56:59 +0200

mdk (1.2.9+dfsg-2) unstable; urgency=medium

  * Use the HTTPS schema for various instances of the upstream site,
    the Vcs-Git URL for the Debian packaging, and the copyright format
    specification URL.
  * Declare compliance with Debian Policy 3.9.8 with no changes;
    the menu file remains, since mdk has no icon for a desktop file.
  * Fix the multiple authors formatting in the 01-gtk-deprecated patch.
  * Bump the debhelper compatibility level to 10:
    - drop the explicit build dependency on autoreconf, it's transitive
    - drop --parallel and --with autoreconf, they're on by default now
    - override the Lintian warning about the debhelper version
  * Update to format version 4 of the watch file and use pgpmode=auto.
  * Leave it to autoconf to autodetect the compiler and linker flags
    neded for Large File Support.
  * Link with --as-needed to prevent awful overlinking.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 19 Jul 2016 10:44:23 +0300

mdk (1.2.9+dfsg-1) unstable; urgency=medium

  * Enable Large File Support.
  * New upstream release.
  * Add some more typo fixes to the 09-typos patch.
  * Bump the year of my debian/* copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 17 Jan 2016 19:26:48 +0200

mdk (1.2.8+dfsg-1) unstable; urgency=medium

  * Declare compliance with version 3.9.6 of the Debian Policy, no changes.
  * Add Multi-Arch: foreign to the binary package.
  * Canonicalize Vcs-Browser and Vcs-Git to cgit and add "-b debian".
  * Add the 08-open-fmode patch to fix two possible segfaults in
    the handling of the mode for opening files.
  * Add --parallel to the debhelper invocation.
  * Add the upstream metadata file.
  * Bump the year of my debian/* copyright notice.
  * Drop the "upstream public key file is missing" source Lintian
    override, since it is not triggered any longer.
  * Add the 09-typos patch to fix some typographical and grammatical errors.
  * New upstream release:
    - drop the 07-readline-types patch, applied upstream
    - update the 02-warnings and 04-no-doc-build patches
    - refresh the 01-gtk-deprecated and 05-editor patches, line numbers only
    - update the upstream copyright years

 -- Peter Pentchev <roam@ringlet.net>  Tue, 15 Sep 2015 17:01:53 +0300

mdk (1.2.7+dfsg-2) unstable; urgency=medium

  * Add the 07-readline-types patch to fix the FTBFS with readline-6.3.
    Closes: #741850.
  * Make the upstream signing key a bit more presentable:
    - run pgp-clean to shorten the blob
    - add the human-readable output of 'gpg --fingerprint' at the start
  * Remove debian/dirs; dh_install will create the Emacs Lisp directory.
  * Drop autotools-dev entirely, dh-autoreconf will quite suffice.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 17 Mar 2014 12:01:15 +0200

mdk (1.2.7+dfsg-1) unstable; urgency=medium

  * Remove the DM-Upload-Allowed field from the control file.
  * Canonicalize the Vcs-* fields to anonscm.debian.org.
  * Bump the debhelper compatibility level to 9 with no changes:
    - get the hardening flags from debhelper, drop the hardening-includes
      build dependency
  * Drop the versions from the autotools-dev and dpkg-dev dependencies.
  * Bump Standards-Version to 3.9.5:
    - update the copyright file to copyright-format 1.0
  * Remove the compression specifications from debian/source/options;
    dpkg-dev's defaults are good enough now.
  * Switch to dh-autoreconf:
    - add dh-autoreconf as a build dependency
    - pass --with autoreconf to dh(1)
    - override the autopoint command to avoid conflicts with intltoolize
    - retarget the 01-gtk-deprecated, 04-no-doc-build, and 05-editor patches
    - remove part of the 03-cppcheck patch; I guess intltool is what needs
      to be fixed now
  * Run wrap-and-sort on the control file.
  * Bump the year on my Debian packaging copyright notice.
  * Add pgpsigurlmangle to the watchfile and export upstream's PGP key to
    debian/upstream/signing-key.asc and override (for the present)
    the Lintian error about the file's location.
  * Use upstream's configure-based way of passing -Werror to the compiler
    and actually disable the deprecated function errors.
  * New upstream release:
    - update to guile-2.0
    - refresh the Debian patches (line numbers only)
    - the TODO file was dropped; do not install it as documentation
    - update the upstream copyright information
  * Rework debian/emacsen-* to fit with emacsen-common 2.0.
    (note to self: upload a new version with the emacsen-common dependency
    bumped to 2.0.8 once it actually hits the archive)
  * Recommend and use x-terminal-emulator with a fallback on xterm so that
    gmixvm actually has something to go on.  Closes: #656748

 -- Peter Pentchev <roam@ringlet.net>  Wed, 12 Feb 2014 17:36:52 +0200

mdk (1.2.6+dfsg-1) unstable; urgency=low

  * Fix another compiler warning emitted by GCC 4.6.  Closes: #625390
  * Bump Standards-Version to 3.9.2 with no changes.
  * Update the copyright file to the latest DEP 5 candidate format.
  * New upstream version:
    - refresh the 01-gtk-deprecated and 02-warnings patches
    - install POTFILES.skip during the automated testing to skip files
      in the .pc/ quilt directory
    - add the 04-no-doc-build patch to practically revert an upstream
      change and *not* install the Texinfo documentation for the present
    - update the copyright file to reflect that some files have been
      relicensed under GPL-3+ and some copyright years have been bumped
    - repack the original tarball to remove the doc/ directory using
      the new debian/get-orig-source.sh script
    - switch from Guile 1.6 to 1.8
    - update the 01-gtk-deprecated patch to only re-enable deprecated
      routines in GLib; the upstream source uses the correct GTK+
      interface now
    - update the 02-warnings patch to remove the simulated noinput
      lexer option - the upstream source defines it now
  * Use bzip2 compression for the Debian tarball.
  * Remove the version options from the watch file: "uupdate" may be
    dangerous and a bit intrusive, as discussed with gregor herrmann,
    and "debian" is the default.
  * Use the sensible-editor program from the sensible-utils package on
    Debian systems.
  * Add the 06-dis-check patch to fix an error in checking the wrong
    argument to a couple of xmix callback functions.
  * Set the DM-Upload-Allowed flag as discussed with gregor herrmann
    on the debian-mentors list.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 10 May 2011 11:11:39 +0300

mdk (1.2.3-2) unstable; urgency=low

  * New maintainer.  Closes: #482633
  * Convert to the 3.0 (quilt) source format, breaking out Cyril Brulebois's
    change into a patch.
  * Remove the XS- before the Vcs-Git and Vcs-Browser source control fields.
  * Move the Homepage out of the long description.
  * Add misc:Depends to the binary package.
  * Convert the copyright file to the latest revision of the DEP 5 candidate
    and add my copyright notice.
  * Reformat the GFDL news entry to remove the asterisk.
  * Refresh the use of debhelper:
    - bump the compatibility level to 8
    - minimize the rules file using debhelper overrides
    - turn off verbose mode by default
  * Bump Standards-Version to 3.9.1 with no further changes.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default CPPFLAGS,
    CFLAGS and LDFLAGS.
  * Use "dh --with autotools_dev" to handle config.guess and config.sub.
  * Add -Werror to the compiler flags if the non-standard "werror" build
    option is specified.
  * Add the 02-warnings patch to fix a couple of compiler warnings.
  * Harden the build unless the non-standard "nohardening" build option is
    specified.
  * Pass --as-needed to the linker to cut down on library dependencies.
  * Add manual page stubs for gmixvm, mixasm, mixguile and mixvm.
  * Add the 03-cppcheck patch to fix some problems revealed by cppcheck.
  * Remove the postinst.debhelper, postrm.debhelper and prerm.debhelper files;
    I'm not sure whether they should ever have been tracked in a VCS.
  * In the 01-gtk-deprecated patch, also remove the G_DISABLE_DEPRECATED
    definition - GLib 2.26 deprecates the completion functions.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 21 Feb 2011 13:26:46 +0200

mdk (1.2.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove "-DGTK_DISABLE_DEPRECATED" from configure{,.in} to avoid FTBFS due
    to the transition to Gtk 2.12 (Closes: #444532).
  * No longer ignore "make distclean" errors, per lintian.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 09 Oct 2007 15:31:17 +0200

mdk (1.2.3-1) unstable; urgency=low

  * New upstream version
  * Add Xs-Vcs-Browser and Xs-Vcs-Git tags to debian/control
  * Update menu file for the new menu policy, s/Apps/Applications
    (Closes: #431767)
  * Added build-dep on intltool

 -- Baruch Even <baruch@debian.org>  Fri, 06 Jul 2007 15:31:52 +0300

mdk (1.2.2-3) unstable; urgency=low

  * No it didn't work, something else is still broken. Memo to self "Do not
    blindly upload compile fixes". This one should do it though! :-)

 -- Baruch Even <baruch@debian.org>  Thu, 10 Aug 2006 02:03:16 +0100

mdk (1.2.2-2) unstable; urgency=low

  * Fix build issues on 64bit machines. (Closes: #381996)

 -- Baruch Even <baruch@debian.org>  Thu, 10 Aug 2006 01:20:52 +0100

mdk (1.2.2-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Tue,  8 Aug 2006 04:40:31 +0100

mdk (1.2.1+0-1) unstable; urgency=low

  * Acknowledge NMU (Closes: #347004)
  * Remove non-free docs from package (Closes: #347004)
    - The texinfo manual is under GFDL with front and back cover text so it is
      considered as non-free by Debian as per GR http://www.debian.org/vote/2006/vote_001
  * Update Standards-Version to 3.7.2 (no action needed)
  * Fix upload to handle GFDL docs by including the modified tarball.
  * Add watchfile.

 -- Baruch Even <baruch@debian.org>  Tue, 25 Jul 2006 02:09:30 +0100

mdk (1.2.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Drop build-dependency on obsolete xlibs-dev package, which is not needed
    at all anyway (closes: #347004).

 -- Steve Langasek <vorlon@debian.org>  Mon,  9 Jan 2006 03:29:33 -0800

mdk (1.2.1-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Wed, 21 Sep 2005 11:26:25 +0100

mdk (1.2-3) unstable; urgency=low

  * Fix bug with linking that prevented guile from knowing about all function
    entry points. (Closes: #326960)
  * Move to DH compat 4
  * Update to standards-version 3.6.2

 -- Baruch Even <baruch@debian.org>  Mon, 19 Sep 2005 11:49:35 +0100

mdk (1.2-2) unstable; urgency=low

  * Fix German translation (Closes: #313980)

 -- Baruch Even <baruch@debian.org>  Wed, 29 Jun 2005 22:27:43 +0100

mdk (1.2-1) unstable; urgency=low

  * New upstream version
  * Removed build dependency on libreadline4-dev since guile-1.6-dev depends
    on the latest readline anyway.

 -- Baruch Even <baruch@debian.org>  Sat, 12 Mar 2005 17:59:45 +0000

mdk (1.1-2) unstable; urgency=low

  * Remove dir.gz and dir.old.gz files (Closes: #256778)

 -- Baruch Even <baruch@debian.org>  Wed, 30 Jun 2004 19:03:29 +0300

mdk (1.1-1) unstable; urgency=low

  * New upstream version.
    - Includes fix for LD?N commands. (Closes: #247392)

 -- Baruch Even <baruch@debian.org>  Sat, 12 Jun 2004 22:37:58 +0300

mdk (1.0.1-1) unstable; urgency=low

  * New upstream version. (Closes: #239969)
  * Incorporated NMU changes. (Closes: #219609, #240218)

 -- Baruch Even <baruch@debian.org>  Thu, 25 Dec 2003 09:38:44 +0200

mdk (1.0-1.1) unstable; urgency=low

  * NMU
  * Don't ship /usr/share/info/dir.gz. (Closes: #219609)

 -- Andreas Metzler <ametzler@debian.org>  Tue, 23 Mar 2004 18:08:27 +0100

mdk (1.0-1) unstable; urgency=low

  * New upstream version.

 -- Baruch Even <baruch@debian.org>  Wed, 10 Apr 2002 00:59:52 +0300

mdk (0.5-6) unstable; urgency=low

  * New maintainer (Closes: bug#130832)

 -- Baruch Even <baruch@debian.org>  Thu, 31 Jan 2002 00:56:31 +0200

mdk (0.5-5) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 13:03:09 +0100

mdk (0.5-4) unstable; urgency=high

  * s/simultated/simulated/ in the package description and the
    README. (closes: #125125)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 11 Jan 2002 16:43:17 +0100

mdk (0.5-3) unstable; urgency=low

  * Fixed the build on ia64. (closes: #115258)

 -- Adrian Bunk <bunk@fs.tum.de>  Tue, 16 Oct 2001 22:33:24 +0200

mdk (0.5-2) unstable; urgency=low

  * Added the missing build dependency on tetex-bin.
    (closes: #114455)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri,  5 Oct 2001 19:40:00 +0200

mdk (0.5-1) unstable; urgency=low

  * New upstream release.
  * Install mdk.ps in /usr/share/doc/mdk.

 -- Adrian Bunk <bunk@fs.tum.de>  Mon,  1 Oct 2001 17:16:25 +0200

mdk (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 17 Aug 2001 13:02:32 +0200

mdk (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 23 Jul 2001 10:07:00 +0200

mdk (0.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 24 Jun 2001 22:11:38 +0200

mdk (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * This release fixes the segmentation fault in gmixvm.
    (closes: #100567)

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 13 Jun 2001 10:02:39 +0200

mdk (0.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 11 Jun 2001 15:40:16 +0200

mdk (0.3.2-1) unstable; urgency=low

  * Initial Release. (closes: #92888)

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 28 May 2001 21:03:15 +0200


Local variables:
mode: debian-changelog
End:
